using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.YiBin.ConvergenceMedia
{
    public class MediaOrderDetailDataDto
    {
        /// <summary>
        /// 标识
        /// </summary>
        [JsonPropertyName("FlowID")]
        public string FlowID { get; set; }

        /// <summary>
        /// 工单编号
        /// </summary>
        [JsonPropertyName("FlowCode")]
        public string FlowCode { get; set; }

        /// <summary>
        /// 工单标题
        /// </summary>
        [JsonPropertyName("FlowTitle")]
        public string FlowTitle { get; set; }

        /// <summary>
        /// 工单来源
        /// </summary>
        [JsonPropertyName("FlowFromName")]
        public string FlowFromName { get; set; }

        /// <summary>
        /// 受理类型
        /// </summary>
        [JsonPropertyName("FlowPurTypeName")]
        public string FlowPurTypeName { get; set; }

        /// <summary>
        /// 热点类型
        /// </summary>
        [JsonPropertyName("FlowConTypeName")]
        public string FlowConTypeName { get; set; }

        /// <summary>
        /// 保存时间
        /// </summary>
        [JsonPropertyName("FlowAddDate")]
        public string FlowAddDate { get; set; }

        /// <summary>
        /// 联系人
        /// </summary>
        [JsonPropertyName("FlowLKName")]
        public string FlowLKName { get; set; }

        /// <summary>
        /// 办理部门
        /// </summary>
        [JsonPropertyName("FlowBMName")]
        public string FlowBMName { get; set; }

        /// <summary>
        /// 办理状态
        /// </summary>
        [JsonPropertyName("FlowRSFlagName")]
        public string FlowRSFlagName { get; set; }

        /// <summary>
        /// 受理内容
        /// </summary>
        [JsonPropertyName("FlowContent")]
        public string FlowContent { get; set; }

        /// <summary>
        /// 处理结果
        /// </summary>
        [JsonPropertyName("FlowResult")]
        public string FlowResult { get; set; }

        /// <summary>
        /// 发布时间
        /// </summary>
        [JsonPropertyName("PubDate")]
        public string? PubDate { get; set; }

        /// <summary>
        /// 受理地址
        /// </summary>
        [JsonPropertyName("Address")]
        public string? Address { get; set; }

        /// <summary>
        /// 工单附件
        /// </summary>
        [JsonPropertyName("OrderFiles")]
        public List<GetFiles> OrderFiles { get; set; }
    }

    public class MediaOrderDetailDataDtoList
    {
        public IReadOnlyList<MediaOrderDetailDataDto> Data { get; set; }
    }

    public class GetFiles
    {
        [JsonPropertyName("FileID")]
        public string? FileID { get; set; }

        [JsonPropertyName("FileName")]
        public string? FileName { get; set; }

        [JsonPropertyName("fileContent")]
        public string? FileContent { get; set; }
    }

    /// <summary>
    /// 
    /// </summary>
    public class GetDayCountResponse
    {
        /// <summary>
        /// 今日总量
        /// </summary>      
        [JsonPropertyName("DayCount")]
        public int DayCount { get; set; }

        /// <summary>
        /// 今日办结
        /// </summary>
        [JsonPropertyName("DayTrandCount")]
        public int DayTrandCount { get; set; }
    }

}
